#pragma once
#include "afxwin.h"


// demoStartP2pConfDlg 对话框

class CDataExchange;
class CWnd;

class demoStartP2pConfDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoStartP2pConfDlg)

public:
	demoStartP2pConfDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoStartP2pConfDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_START_P2PCONF_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
protected:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCancel();
private:
    int clickStartP2pConf();
    CEdit m_callerNickName;
    CEdit m_callerAliasCN;
    CEdit m_callerAliasEN;
    CEdit m_calleeNickName;
    CEdit m_calleeAliasCN;
    CEdit m_calleeAliasEN;
    CEdit m_calleeNumber;
    CComboBox m_calleeNumberType;
    CEdit m_calleeThirdUserId;
    CEdit m_calleeOrgId;
    CComboBox m_mediaType;
protected:
    CString m_customInfo;
};
